<?php
include_once("node.class.php");
include_once("database.class.php");


class node{ 

	public $nodeInput;
	public $nodeOutput;
	public $nodeNotes;
	public $nodeRandomizer;
	public $nodeRowLocation;
	public $db;
	function __construct()
	{
		$this->db = new database();
		
	}
	
	public function assignNodeInput($input){
		$this->nodeInput = $input;
	}
	public function assignNodeOutput(){
		$this->nodeOutput = $this->nodeInput * $this->nodeRandomizer;
	}
	public function assignNodeRandomize($randomize){
		$this->nodeRandomizer = $randomize;
	}
	public function assignNodeNotes($notes){
	
	}
	public function getNodeRow(){
		return $this->nodeRowLocation;
	}
	public function setNodeRow($rowLocation){
		$this->nodeRowLocation = $rowLocation;
	}
	public function getNodeRandomizer(){
		return $this->nodeRandomizer;
	}

}
?>